List bandwidth options for an uplink model
You can see a list of bandwidth options available for a chosen uplink model in one location. To do that, send a GET request to the /v1/locations/{location_id}/order_options/server_models/{server_model_id}/uplink_models/{uplink_model_id}/bandwidth endpoint. Identify the location, server, and uplink models with their IDs in the path parameters.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
server_model_id | stringAn identifier of a server model. You can find a list of all the server models by sending a request described in the Server Model section. |
uplink_model_id | stringA list of all the uplink model IDs can be shown by making a request described in the Uplink Model section. |
Query Parameters
| Field | Details |
|---|---|
type? | stringValue in: This parameter filters an output according to the bandwidth option's type. There can be the following values: |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1598/order_options/server_models/2759/uplink_models/2761/bandwidth"[ { "id": 2762, "name": "Unmetered", "type": "unmetered", "commit": null }, { "id": 2763, "name": "Unmetered", "type": "unmetered", "commit": null }, { "id": 2764, "name": "20002 GB", "type": "bytes", "commit": 20002000000 }, { "id": 2765, "name": "40004 GB", "type": "bytes", "commit": 40004000000 }]